# std::__detail Namespace Reference
[Random Number Generation]

Implementation details not part of the namespace std interface. More...

## Functions

- template<class _Iterator > std::iterator_traits
  < _Iterator >::difference_type __distance_fw (_Iterator __first, _Iterator __last)
- template<class _Iterator > std::iterator_traits
  < _Iterator >::difference_type __distance_fw (_Iterator __first, _Iterator __last, std::forward_iterator_tag)
- template<class _Iterator > std::iterator_traits
  < _Iterator >::difference_type __distance_fw (_Iterator __first, _Iterator __last, std::input_iterator_tag)
- template<typename _RAIter , typename _Tp > _RAIter __lower_bound (_RAIter __first, _RAIter __last, const _Tp &__val)
- template<typename _Value , bool __cache> bool operator!= (const _Hashtable_iterator_base< _Value, __cache > &__x, const _Hashtable_iterator_base< _Value, __cache > &__y)
- template<typename _Value , bool __cache> bool operator!= (const _Node_iterator_base< _Value, __cache > &__x, const _Node_iterator_base< _Value, __cache > &__y)
- template<typename _Value , bool __cache> bool operator== (const _Hashtable_iterator_base< _Value, __cache > &__x, const _Hashtable_iterator_base< _Value, __cache > &__y)
- template<typename _Value , bool __cache> bool operator== (const _Node_iterator_base< _Value, __cache > &__x, const _Node_iterator_base< _Value, __cache > &__y)

## Variables

- const unsigned long __prime_list []

## Detailed Description

Implementation details not part of the namespace std interface.